div.sidebar {
  display: flex;
  flex-direction: column;
  flex: 0 0 auto;

  // fix width: override bootstrap column behaviour
  width: 22rem;
  padding: 1.5em;

  color: $white;
  background-color: transparentize($blue-dark, 0.1);

  overflow: scroll;
  -ms-overflow-style: none;  /* Internet Explorer 10+ */

  scrollbar-width: thin; /* firefox */

  i.tirette {
    display: none;
  }

  ////

  a {
    cursor: pointer;
    &:hover {
      opacity: 0.8;
    }
  }

  h3, h4 {
    font-size: 160%;
    font-weight: 400;
    z-index: 5;
  }

  h3 {
    padding: 0;
    color: $blue-light;
  }

  .form-selector {
    margin: 1rem 0;
    label {
      font-weight: 500;
    }
    select {
      margin-top: 0.5em;
      appearance: none;
      -webkit-appearance: none;
      -moz-appearance: none;
      option {
        background-color: $blue-bike; //webkit
      }
    }
  }

  ul.map-layers-list {
    margin-left: 1.45em;
    li {
      cursor: pointer;
      i {
        //opacity: 0.7;
        font-size: 85%;
        margin-top: 0.25em;
      }
    }
  }

  table.tinline {
    width: 100%;
    thead tr {
      border-bottom: 1px solid transparentize($white, 0.8);
    }
    th, td {
      border-collapse: collapse;
    }
    tr {
      border-top: 1px solid transparentize($white, 0.8);
      &:first-child {
        border-top: none;
      }
      td {
        &.name {
          text-transform: capitalize;
          font-weight: 400;
        }
        &.value {}
      }
    }
  }

  .help {
    font-style: italic;
    font-weight: 100;
    a {
      color: inherit;
    }
  }

  // ALL STATIONS

  div.stations {

    input.filter {
      margin-top: 1rem;
      width: 60%;
      &::placeholder {
        color: transparentize($white, 0.2);
      }
    }

    ul.stations-list {
      list-style: none;
      margin-top: 1em;
      padding: 0;

      overflow-y: auto;
      max-height: calc( 100vh - 16.2em );

      li {
        span {
          cursor: pointer;
          color: $blue-light;

          &:hover {
            color: $sand-dark;
          }
        }
      }
    }
  }

  // STATION

  div.station {
    //min-height: 65vh;

    div.section-header {
      margin-bottom: 1.5em;
      h2.title {}
    }

    div.section-wrapper {
      overflow-y: auto;
      max-height: calc( 100vh - 14.5em );

      div.section {
        z-index: 5;

        h3.title {
          cursor: pointer;
          margin-left: 1.2em;
          i {
            margin-left: -1.5em;
          }
        }

        div.content {
          margin: 1rem 0;
          //border: 1px solid transparentize($white, 0.8);

          button.btn-link {
            float: right;
            color: $white;
            margin-top: -0.73em;
            font-size: large;
          }

          /// in properties section
          &.properties {}

          /// in layers section
          &.layers {
            h5 {
              font-size: 115%;
              font-weight: 400;
              font-variant: small-caps;
            }
          }

          /// in parameters section
          &.parameters {

            div.form-selector {
              margin: 1rem 0;
              .slider {
                margin-top: 0.5em;
                background-color: transparentize($white, 0.8);
                padding: 0.9em 1.5em;
                height: 36px;
                border-radius: 50px;
              }
            }

            table.tinline {
              small {
                text-transform: lowercase;
                opacity: 0.7;
              }
              tr.trends {
                span {
                  i {
                    margin-left: 1rem;
                    margin-right: .5rem;
                  }
                }
              }
            }
          }

        }
      }
    }
  }

  // AOD

  div#aod {
    nav.breadcrumb {
      font-size: 95%;
      span {
        margin-right: 0.5em;
      }
      span.item {
        color: $white;
        width: 30px;
        height: 30px;
        padding: 0 0.65em;
        &.enabled {
          cursor: pointer;
          background-color: transparentize($white, 0.3);
          color: $blue-dark;
          border-radius: 5em;
          font-weight: 500;
        }
        &.active {
          background-color: $white;
        }
        &:hover {
          opacity: 0.85;
        }
      }
    }
    div.sideflow {

      overflow-y: auto;
      height: calc( 100vh - 18.2em );

      div.aod-form {
        ul.lines-list {
          list-style: none;
          padding: 0;
          margin-left: 1.5em;
        }
        div.methodo-msg {
          color: $sand;
          a {
            display: flex;
            text-decoration: none;
            color: inherit;
          }
        }
      }
    }
  }

}
